module-assistant pwc et 2.6.26

Le
remi
Hello all,

je viens à vous car après beaucoup de recherche, je n'ai plus d'idée de
solution.
Je cherche à installer pwc-source à partir du paquet 10.0.12-rc1+final-2
j'ai installé le kernel 2.6.26-1 de debian.
Mais m-a a-i pwc-source n'arrive pas à compiler:
/
export DH_OPTIONS='-ppwc-modules-2.6.26-1-686'
# Is this needed for setting up a Depends?
echo "kpkg:Kernel-Version=2.6.26-1-686" >
debian/pwc-modules-2.6.26-1-686.substvars
dh_testdir
dh_testroot
dh_clean -k
# Build the module
CC=gcc-4.1 /usr/bin/make KSRC=/lib/modules/2.6.26-1-686/build
KVER=2.6.26-1-686
make[2]: entrant dans le répertoire « /usr/src/modules/pwc »
/usr/bin/make -C /lib/modules/2.6.26-1-686/build
SUBDIRS=/usr/src/modules/pwc modules
make[3]: entrant dans le répertoire « /usr/src/linux-headers-2.6.26-1-686 »
CC [M] /usr/src/modules/pwc/pwc-if.o
In file included from /usr/src/modules/pwc/pwc-if.c:69:
/usr/src/modules/pwc/pwc.h:28:26: error: linux/config.h: Aucun fichier ou
répertoire de ce type
/usr/src/modules/pwc/pwc-if.c:170: error: unknown field ‘hardware’
specified in initializer
/usr/src/modules/pwc/pwc-if.c:170: error: ‘VID_HARDWARE_PWC’ undeclared
here (not in a function)

bing, déjà deux erreurs. Le problème avec VID_HARDWARE_PWC peut être
résolut "facilement", et celle avec linux/config.h aussi (suffit de
supprimer la ligne, d'apres mes recherches sur le net).
Mais plus loin, il y a ça:
/usr/src/modules/pwc/pwc-if.c:1045: error: expected ‘)’ before ‘(’ token

La première question du jour: quelqu'un a t il réussi à comipler ces
sources, et avec quel noyau?
Et sinon, comment je fais pour y arriver!

Rémi.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to debian-user-french-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Bruno Muller
Le #16717501
--=-CRYigD2PMD5D8I79c7vA
Content-Type: text/plain; charset=ISO-8859-15
Content-Transfer-Encoding: quoted-printable

Hello,

Pourquoi ne pas utiliser celui (plus récent) qui est intégré au 2.6.2 6 ?

$ modinfo pwc
filename: /lib/modules/2.6.26-1-686/kernel/drivers/media/video/pwc/pw c.ko
version: 10.0.13
...

Bruno

--
TESTAMENT
M : Quand... je serai mort... tout ce que j'ai te reviendra...
P : Et t'as quoi à part des puces dans le poil ?
M : J'en ai aussi dans un coffre en Suisse...

--=-CRYigD2PMD5D8I79c7vA
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: Ceci est une partie de message
=?ISO-8859-1?Q?numériquement?= =?ISO-8859-1?Q?_signée?
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEABECAAYFAkjAAdMACgkQuJD2bkb8m5uq0ACdHyMrz9dgHBiH8n226IhivK1X
laMAnAlwdc5sdzVTyztsdOC3cGdMv09+
=tdLi
-----END PGP SIGNATURE-----

--=-CRYigD2PMD5D8I79c7vA--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
remi
Le #16726101
> Hello,

Pourquoi ne pas utiliser celui (plus récent) qui est intégré au 2.6.26 ?

$ modinfo pwc
filename:
/lib/modules/2.6.26-1-686/kernel/drivers/media/video/pwc/pwc.ko
version: 10.0.13
...



j'ai tenté de passer en taille CIF, mais ça fait planter les applications
qui l'utilise...

Mais ce que je ne comprend pas, c'est pourquoi le 10.0.13 passe, mais pas
celui du site 'officiel' (pwc-10.0.12-rc1)

Rémi.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Publicité
Poster une réponse
Anonyme